[X2Go-Commits] [maintenancescripts] 01/01: git/hooks/update{, -merge}: run irkerhook multiple times per push for multiple commits. Make sure it doesn't fail.

git-admin at x2go.org git-admin at x2go.org
Thu Mar 26 17:09:08 CET 2015


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository maintenancescripts.

commit a1545a921571029ec3f6a0ee9bf361d827479457
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Thu Mar 26 17:09:00 2015 +0100

    git/hooks/update{,-merge}: run irkerhook multiple times per push for multiple commits. Make sure it doesn't fail.
---
 git/hooks/update       |    6 +++++-
 git/hooks/update-merge |    6 +++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/git/hooks/update b/git/hooks/update
index 5a61063..2bb89c3 100755
--- a/git/hooks/update
+++ b/git/hooks/update
@@ -12,5 +12,9 @@ NEW="${3}"
 . "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._check_"
 #. "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._branches+tags_"
 #. "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._acl_"
-"${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._irkerhook.py_" --refname="${REFNAME}" "$(git rev-list --reverse ${OLD}..${NEW})" --repo="${SHORT_GIT_REPO_NAME}"
+
+git rev-list --reverse "${OLD}..${NEW}" | while read cur_rev; do
+  "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._irkerhook.py_" --refname="${REFNAME}" "${cur_rev}" --repo="${SHORT_GIT_REPO_NAME}" || :
+done
+
 . "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._grant_"
diff --git a/git/hooks/update-merge b/git/hooks/update-merge
index 963ff20..bed1386 100755
--- a/git/hooks/update-merge
+++ b/git/hooks/update-merge
@@ -12,5 +12,9 @@ NEW="${3}"
 . "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._check+allow-merges_"
 #. "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._branches+tags_"
 #. "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._acl_"
-"${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._irkerhook.py_" --refname="${REFNAME}" "$(git rev-list --reverse ${OLD}..${NEW})" --repo="${SHORT_GIT_REPO_NAME}"
+
+git rev-list --reverse "${OLD}..${NEW}" | while read cur_rev; do
+  "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._irkerhook.py_" --refname="${REFNAME}" "${cur_rev}" --repo="${SHORT_GIT_REPO_NAME}" || :
+done
+
 . "${GIT_DIR}/${OUTSIDE_REPO}/_hooks_/update-script._grant_"

--
Alioth's /srv/git/code.x2go.org/maintenancescripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/maintenancescripts.git


More information about the x2go-commits mailing list